VSS.plot {psych} | R Documentation

## Plot VSS fits

### Description

The Very Simple Structure criterion ( `VSS`) for estimating the optimal number of factors is plotted as a function of the increasing complexity and increasing number of factors.

### Usage

    VSS.plot(x, title = "Very Simple Structure", line = FALSE)

### Arguments

`x` | output from VSS
`title` | any title
`line` | connect different complexities

### Details

Item-factor models differ in their "complexity". Complexity 1 means that all except the greatest (absolute) loading for an item are ignored. Basically a cluster model (e.g., `ICLUST`). Complexity 2 implies all except the greatest two, etc.

Different complexities can suggest different number of optimal number of factors to extract. For personality items, complexity 1 and 2 are probably the most meaningful.

The Very Simple Structure criterion will tend to peak at the number of factors that are most interpretable for a given level of complexity. Note that some problems, the most interpretable number of factors will differ as a function of complexity. For instance, when doing the Harman 24 psychological variable problems, an unrotated solution of complexity one suggests one factor (g), while a complexity two solution suggests that a four factor solution is most appropriate. This latter probably reflects a bi-factor structure.

For examples of VSS.plot output, see http://personality-project.org/r/r.vss.html

### Value

A plot window showing the VSS criterion varying as the number of factors and the complexity of the items.

### Author(s)

Maintainer: William Revelle revelle@northwestern.edu

### References

http://personality-project.org/r/r.vss.html

### See Also

`VSS`, `ICLUST`, `omega`

### Examples

    test.data <- Harman74.cor$cov
    my.vss <- VSS(test.data)         #suggests that 4 factor complexity two solution is optimal
    VSS.plot(my.vss,title="VSS of Holzinger-Harmon problem")                 #see the graphics window

[Package psych version 1.6.9 Index]